SELECT bmi.nick_name                                                           AS owner,
       COUNT(bdapr.relation_id)                                                AS usage_count,
       CASE WHEN baai.agent_publish_status = 'publish' THEN baap.agent_title
            ELSE baai.agent_title END                                           AS agent_title,
       MAX(bdapr.`datetime`)                                                   AS last_usage_time,
       SUM(bdapr.point_num)                                                    AS total_points,
       SUM(CASE WHEN bdapr.type = 'agent' THEN bdapr.point_num ELSE 0 END)     AS agent_points,
       SUM(CASE WHEN bdapr.type = 'plugin' THEN bdapr.point_num ELSE 0 END)    AS plugin_points,
       CASE WHEN baai.agent_publish_status = "publish" THEN "Y" ELSE "N" END   AS publish_status
FROM biz_data_analyze_point_record bdapr
         LEFT JOIN biz_agent_application_info baai ON baai.agent_id = bdapr.relation_id
         LEFT JOIN biz_agent_application_publish baap ON baap.agent_id = bdapr.relation_id
         LEFT JOIN biz_member_info bmi ON bmi.member_id = baai.member_id
WHERE 1 = 1
    AND bdapr.relation_id IN (SELECT DISTINCT bdadr.relation_id FROM biz_data_analyze_dialogue_record bdadr  WHERE bdadr.member_id = bdapr.member_id)
    << AND bdapr.member_id = :memberId >>
    << AND bdapr.`datetime` >= :startDate AND bdapr.`datetime` <=  :endDate>>
GROUP BY
    bdapr.relation_id,
    bdapr.member_id
ORDER BY last_usage_time DESC